# Parser of products from [rossko.ru](https://krsk.rossko.ru)

* Saves products from an excel file with products sent to email from [rossko.ru](https://krsk.rossko.ru) in SQlite3
* Downloads images directly from the [rossko.ru](https://krsk.rossko.ru) website for all products
* Generates excel documents formatted for the [drom.ru](https://drom.ru) and [avito](https://avito.ru) trading platforms with the added reseller markup

## Installation

### NGINX
1. Example of NGINX server file
```nginx
location / {
    try_files $uri $uri/ /index.php;
}

# Excel-files
location ~ /(?<type>drom|avito)(?<file>/avaiable|/order)?$ {
    root /var/www/parser_from_rossko/mirzaev/parser_from_rossko/system/storage/$type$file;
    add_header Content-Disposition "attachment; filename=$type.xlsx";
    try_files /export.xlsx =404;
}

# Images
location ~ /(?<nomenclature>[A-z0-9]+)/(?<image>[0-9]+\.[jJ][pP][gG])$ {
    root /var/www/parser_from_rossko/mirzaev/parser_from_rossko/system/storage/images/$nomenclature;
    add_header Content-Disposition "attachment; filename=$image";
    try_files  /$image =404;
}

location ~ \.php$ {
    ...
}
```

2. Issue yourself an SSL/TLS certificate using Certbot: `sudo certbot --nginx`


### SystemD (or any alternative you like)

1. Execute: `sudo cp rossko.service /etc/systemd/system/rossko.service`

*before you execute the command think about **what it does** and whether the **paths** are specified correctly*<br>
*the configuration file is very simple and you can remake it for any alternative to SystemD that you like*
